-- InGame.sql
-- Author: MadManCam
--------------------------------------------------------------
--==========================================================================================================================
-- YnAMP TSL support
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS StartPosition
    (    MapName TEXT NOT NULL,
        Civilization TEXT,
        Leader TEXT,
        DisabledByCivilization TEXT,
        DisabledByLeader TEXT,
        AlternateStart INT default 0,    
        X INT default 0,
        Y INT default 0);

/*
--==========================================================================================================================
-- Removable Districts "support" :)
--==========================================================================================================================
CREATE TRIGGER CNO_OnRemovableDistricts
AFTER INSERT ON ProjectCompletionModifiers
WHEN NEW.ProjectType = 'PROJECT_REMOVE_SPACEPORT'
BEGIN

DELETE FROM Types
WHERE ((Type='PROJECT_REMOVE_HOLY_SITE') OR (Type='PROJECT_REMOVE_CAMPUS') OR (Type='PROJECT_REMOVE_ENCAMPMENT') OR (Type='PROJECT_REMOVE_HARBOR') OR (Type='PROJECT_REMOVE_AERODROME') OR (Type='PROJECT_REMOVE_COMMERCIAL_HUB') OR (Type='PROJECT_REMOVE_ENTERTAINMENT_COMPLEX') OR (Type='PROJECT_REMOVE_THEATER') OR (Type='PROJECT_REMOVE_INDUSTRIAL_ZONE') OR (Type='PROJECT_REMOVE_AQUEDUCT'));
DELETE FROM Projects
WHERE ((ProjectType='PROJECT_REMOVE_HOLY_SITE') OR (ProjectType='PROJECT_REMOVE_CAMPUS') OR (ProjectType='PROJECT_REMOVE_ENCAMPMENT') OR (ProjectType='PROJECT_REMOVE_HARBOR') OR (ProjectType='PROJECT_REMOVE_AERODROME') OR (ProjectType='PROJECT_REMOVE_COMMERCIAL_HUB') OR (ProjectType='PROJECT_REMOVE_ENTERTAINMENT_COMPLEX') OR (ProjectType='PROJECT_REMOVE_THEATER') OR (ProjectType='PROJECT_REMOVE_INDUSTRIAL_ZONE') OR (ProjectType='PROJECT_REMOVE_AQUEDUCT'));
DELETE FROM Modifiers
WHERE ((ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_HOLY_SITE') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_CAMPUS') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_ENCAMPMENT') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_HARBOR') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_AERODROME') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_COMMERCIAL_HUB') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_ENTERTAINMENT_COMPLEX') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_THEATER') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_INDUSTRIAL_ZONE') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_AQUEDUCT'));
DELETE FROM ModifierArguments
WHERE ((ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_HOLY_SITE') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_CAMPUS') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_ENCAMPMENT') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_HARBOR') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_AERODROME') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_COMMERCIAL_HUB') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_ENTERTAINMENT_COMPLEX') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_THEATER') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_INDUSTRIAL_ZONE') OR (ModifierId='PROJECT_COMPLETION_MODIFIER_PROJECT_REMOVE_AQUEDUCT'));
DELETE FROM ProjectModifiers
WHERE ((ProjectType='PROJECT_REMOVE_HOLY_SITE') OR (ProjectType='PROJECT_REMOVE_CAMPUS') OR (ProjectType='PROJECT_REMOVE_ENCAMPMENT') OR (ProjectType='PROJECT_REMOVE_HARBOR') OR (ProjectType='PROJECT_REMOVE_AERODROME') OR (ProjectType='PROJECT_REMOVE_COMMERCIAL_HUB') OR (ProjectType='PROJECT_REMOVE_ENTERTAINMENT_COMPLEX') OR (ProjectType='PROJECT_REMOVE_THEATER') OR (ProjectType='PROJECT_REMOVE_INDUSTRIAL_ZONE') OR (ProjectType='PROJECT_REMOVE_AQUEDUCT'));

END;
--*/

--==========================================================================================================================
-- LEADERS
--==========================================================================================================================
-- Types
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Types	
		(Type,							Kind)
VALUES	('LEADER_CNO_GABE_NEWELL',	'KIND_LEADER');	
--------------------------------------------------------------------------------------------------------------------------
-- Leaders
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Leaders	
		(LeaderType,					Name,										InheritFrom,		SceneLayers)
VALUES	('LEADER_CNO_GABE_NEWELL',	'LOC_LEADER_CNO_GABE_NEWELL_NAME',			'LEADER_DEFAULT',			4);	
--------------------------------------------------------------------------------------------------------------------------
-- LeaderQuotes
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO LeaderQuotes	
		(LeaderType,			Quote)
VALUES	('LEADER_CNO_GABE_NEWELL',	'LOC_PEDIA_LEADERS_PAGE_LEADER_CNO_GABE_NEWELL_QUOTE');	
--------------------------------------------------------------------------------------------------------------------------
-- HistoricalAgendas
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO HistoricalAgendas	
		(LeaderType,					AgendaType)
VALUES	('LEADER_CNO_GABE_NEWELL',	'AGENDA_BIG_STICK_POLICY');
--------------------------------------------------------------------------------------------------------------------------
-- AgendaPreferredLeaders
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO AgendaPreferredLeaders	
		(LeaderType,					AgendaType)
VALUES	('LEADER_CNO_GABE_NEWELL',	'AGENDA_TECHNOPHILE');	


--==========================================================================================================================
-- LEADERS: COLOURS
--==========================================================================================================================
-- PlayerColors
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO PlayerColors	
		(Type,							Usage,			PrimaryColor, 										SecondaryColor,											TextColor)
VALUES	('LEADER_CNO_GABE_NEWELL',	'Unique',		'COLOR_PLAYER_CNO_MASTER_RACE_GABE_NEWELL_PRIMARY',		'COLOR_PLAYER_CNO_MASTER_RACE_GABE_NEWELL_SECONDARY', 		'COLOR_PLAYER_WHITE_TEXT');	

INSERT OR REPLACE INTO Colors 
		(Type, 														Red, 	Green, 	Blue, 	Alpha)
VALUES	('COLOR_PLAYER_CNO_MASTER_RACE_GABE_NEWELL_PRIMARY', 		0.00,	0.00,	0.00,	1),
		('COLOR_PLAYER_CNO_MASTER_RACE_GABE_NEWELL_SECONDARY', 	1.00,	0.56,	0.00,	1);



--==========================================================================================================================
-- LEADERS: LOADING INFO
--==========================================================================================================================
-- LoadingInfo
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO LoadingInfo	
		(LeaderType,						BackgroundImage, 						ForegroundImage,						PlayDawnOfManAudio)
VALUES	('LEADER_CNO_GABE_NEWELL',			'LEADER_GABE_NEWELL_BACKGROUND',		'LEADER_GABE_NEWELL_NEUTRAL_LOADING',			0);	
--==========================================================================================================================
-- CIVILIZATIONS
--==========================================================================================================================
-- Types
----------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Types	
		(Type,						Kind)
VALUES	('CIVILIZATION_CNO_MASTER_RACE',	'KIND_CIVILIZATION');
----------------------------------------------------------------------------------------------------------------------------
-- Civilizations
----------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Civilizations	
		(CivilizationType,					Name,										Description,									Adjective,										StartingCivilizationLevelType,						Ethnicity)
VALUES	('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CIVILIZATION_CNO_MASTER_RACE_NAME',	'LOC_CIVILIZATION_CNO_MASTER_RACE_DESCRIPTION',	'LOC_CIVILIZATION_CNO_MASTER_RACE_ADJECTIVE',	'CIVILIZATION_LEVEL_FULL_CIV',						'ETHNICITY_EURO');	
----------------------------------------------------------------------------------------------------------------------------			
-- CityNames			
----------------------------------------------------------------------------------------------------------------------------		
INSERT OR REPLACE INTO CityNames	
		(CivilizationType,			CityName)	
VALUES	('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_2'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_3'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_4'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_5'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_6'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_7'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_8'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_9'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_10'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_11'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_12'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_13'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_14'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_15'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_16'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_17'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_18'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_19'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_20'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_21'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_22'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_23'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_24'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_25'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_26'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_27'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_28'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_29'),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITY_NAME_CNO_MASTER_RACE_30');	
----------------------------------------------------------------------------------------------------------------------------
-- CivilizationCitizenNames
----------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO CivilizationCitizenNames	
		(CivilizationType,			CitizenName,								Female,		Modern)
VALUES	('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_1',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_2',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_3',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_4',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_5',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_6',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_7',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_8',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_9',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MALE_10',				0,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_1',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_2',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_3',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_4',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_5',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_6',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_7',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_8',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_9',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_FEMALE_10',			1,			0),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_1',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_2',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_3',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_4',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_5',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_6',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_7',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_8',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_9',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_MALE_10',		0,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_1',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_2',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_3',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_4',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_5',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_6',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_7',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_8',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_9',		1,			1),
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CITIZEN_CNO_MASTER_RACE_MODERN_FEMALE_10',	1,			1);	
----------------------------------------------------------------------------------------------------------------------------			
-- CivilizationInfo			
----------------------------------------------------------------------------------------------------------------------------		
INSERT OR REPLACE INTO CivilizationInfo	
		(CivilizationType,			Header,						Caption,								SortIndex)	
VALUES	('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CIVINFO_LOCATION',		'LOC_CIVINFO_CNO_MASTER_RACE_LOCATION',		10),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CIVINFO_SIZE',			'LOC_CIVINFO_CNO_MASTER_RACE_SIZE',			20),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CIVINFO_POPULATION',	'LOC_CIVINFO_CNO_MASTER_RACE_POPULATION',		30),	
		('CIVILIZATION_CNO_MASTER_RACE',	'LOC_CIVINFO_CAPITAL', 		'LOC_CIVINFO_CNO_MASTER_RACE_CAPITAL',			40);
----------------------------------------------------------------------------------------------------------------------------
-- CivilizationLeaders
----------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO CivilizationLeaders	
		(CivilizationType,						LeaderType,			CapitalName)
VALUES	('CIVILIZATION_CNO_MASTER_RACE',	'LEADER_CNO_GABE_NEWELL',		'LOC_CITY_NAME_CNO_MASTER_RACE_1');


--------------------------------------------------------------------------------------------------------------------------		
-- BackGround Art		
--------------------------------------------------------------------------------------------------------------------------			
INSERT OR REPLACE INTO DiplomacyInfo			
		(Type,								BackgroundImage)
VALUES	('LEADER_CNO_GABE_NEWELL',		'ART_LEADER_GABE_NEWELL.dds');

--==========================================================================================================================
-- LEADERS: TRAITS
--==========================================================================================================================
-- Types
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Types	
		(Type,														Kind)
VALUES	('TRAIT_LEADER_CNO_GABE_NEWELL_VALVE',						'KIND_TRAIT');
		
--------------------------------------------------------------------------------------------------------------------------			
-- Traits			
--------------------------------------------------------------------------------------------------------------------------				
INSERT OR REPLACE INTO Traits				
		(TraitType,													Name,													Description)
VALUES	('TRAIT_LEADER_CNO_GABE_NEWELL_VALVE',						'LOC_TRAIT_LEADER_CNO_GABE_NEWELL_VALVE_NAME',			'LOC_TRAIT_LEADER_CNO_GABE_NEWELL_VALVE_DESCRIPTION');
		

--==========================================================================================================================
-- CIVILIZATIONS: TRAITS
--==========================================================================================================================
-- Types
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Types	
		(Type,													Kind)
VALUES	('TRAIT_CIVILIZATION_CNO_CORP',							'KIND_TRAIT'),
		('TRAIT_CIVILIZATION_BUILDING_CNO_GAME_SHRINE',			'KIND_TRAIT'),
		('TRAIT_CIVILIZATION_UNIT_CNO_ASCENDANT',				'KIND_TRAIT');
--------------------------------------------------------------------------------------------------------------------------			
-- Traits			
--------------------------------------------------------------------------------------------------------------------------				
INSERT OR REPLACE INTO Traits				
		(TraitType,												Name,													Description)
VALUES	('TRAIT_CIVILIZATION_CNO_CORP',							'LOC_TRAIT_CIVILIZATION_CNO_CORP_NAME',					'LOC_TRAIT_CIVILIZATION_CNO_CORP_DESCRIPTION'),
		('TRAIT_CIVILIZATION_BUILDING_CNO_GAME_SHRINE',			'LOC_BUILDING_CNO_GAME_SHRINE_NAME',					'LOC_BUILDING_CNO_GAME_SHRINE_DESCRIPTION'),
		('TRAIT_CIVILIZATION_UNIT_CNO_ASCENDANT',				'LOC_UNIT_CNO_ASCENDANT_NAME',							'LOC_UNIT_CNO_ASCENDANT_DESCRIPTION');
--------------------------------------------------------------------------------------------------------------------------		
-- TraitModifiers		
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO TraitModifiers			
		(TraitType,											ModifierId)
VALUES	('TRAIT_CIVILIZATION_CNO_CORP',					'CNO_TRAIT_EXP_ATK'),
		('TRAIT_CIVILIZATION_CNO_CORP',					'CNO_TRAIT_BARB_ATK');															
--------------------------------------------------------------------------------------------------------------------------
-- Modifiers
--------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO Modifiers	
		(ModifierId,												ModifierType)
VALUES	('CNO_TRAIT_EXP_ATK',										'MODIFIER_PLAYER_UNITS_ADJUST_UNIT_EXPERIENCE_MODIFIER'),
		('CNO_TRAIT_BARB_ATK',										'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT');
--------------------------------------------------------------------------------------------------------------------------
-- ModifierArguments
--------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,												Name,						Value)
VALUES	('CNO_TRAIT_EXP_ATK',										'Amount',					'25'),
		('CNO_TRAIT_BARB_ATK',										'Amount',					'5');

--------------------------------------------------------------------------------------------------------------------------
-- LeaderTraits
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO LeaderTraits	
		(LeaderType,			TraitType)
VALUES	('LEADER_CNO_GABE_NEWELL',	'TRAIT_LEADER_CNO_GABE_NEWELL_VALVE');
		

----------------------------------------------------------------------------------------------------------------------------
-- CivilizationTraits
----------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO CivilizationTraits	
		(TraitType,															CivilizationType)
VALUES	('TRAIT_CIVILIZATION_CNO_CORP',										'CIVILIZATION_CNO_MASTER_RACE'),
		('TRAIT_CIVILIZATION_BUILDING_CNO_GAME_SHRINE',						'CIVILIZATION_CNO_MASTER_RACE'),
		('TRAIT_CIVILIZATION_UNIT_CNO_ASCENDANT',							'CIVILIZATION_CNO_MASTER_RACE');
