-- RemoveDistricts.lua
-- Author: TC
-- Edited by: MadManCam
-- DateCreated: 10/12/2017 11:54:47 PM
-- LastUpdated: 10/17/2017 08:52:39 PM
--------------------------------------------------------------

-- CONSTANTS ===============================================================================================================================
local IDs = {
	
	-- District ID's
	DEVELOPMENT_STUDIO = GameInfo.Districts["DISTRICT_CNO_DEVELOPMENT_STUDIO"].Index;
	ACCOUNTING_DEPARTMENT = GameInfo.Districts["DISTRICT_CNO_ACCOUNTING_DEPARTMENT"].Index;
	RD_FACILITY = GameInfo.Districts["DISTRICT_CNO_RD_FACILITY"].Index;
	DESIGN_STUDIO = GameInfo.Districts["DISTRICT_CNO_DESIGN_STUDIO"].Index;
	CONVENTION_CENTER = GameInfo.Districts["DISTRICT_CNO_CONVENTION_CENTER"].Index;
	EMPLOYEE_LOUNGE = GameInfo.Districts["DISTRICT_CNO_EMPLOYEE_LOUNGE"].Index;
	LEGAL_DEPARTMENT = GameInfo.Districts["DISTRICT_CNO_LEGAL_DEPARTMENT"].Index;
	--OFFICE_COMPLEX = GameInfo.Districts["DISTRICT_CNO_OFFICE_COMPLEX"].Index;
	GLORIOUS_HARBOR = GameInfo.Districts["DISTRICT_CNO_GLORIOUS_HARBOR"].Index;
	DEEP_PUMPING_SYSTEM = GameInfo.Districts["DISTRICT_CNO_DEEP_PUMPING_SYSTEM"].Index;
	PORTAL_GATE = GameInfo.Districts["DISTRICT_CNO_PORTAL_GATE"].Index;
	SPACEPORT = GameInfo.Districts["DISTRICT_SPACEPORT"].Index;

	-- District Projects
	R_DEVELOPMENT_STUDIO = "PROJECT_REMOVE_CNO_DEVELOPMENT_STUDIO";
	R_ACCOUNTING_DEPARTMENT = "PROJECT_REMOVE_CNO_ACCOUNTING_DEPARTMENT";
	R_RD_FACILITY = "PROJECT_REMOVE_CNO_RD_FACILITY";
	R_DESIGN_STUDIO = "PROJECT_REMOVE_CNO_DESIGN_STUDIO";
	R_CONVENTION_CENTER = "PROJECT_REMOVE_CNO_CONVENTION_CENTER";
	R_EMPLOYEE_LOUNGE = "PROJECT_REMOVE_CNO_EMPLOYEE_LOUNGE";
	-- R_OFFICE_COMPLEX = "PROJECT_REMOVE_CNO_OFFICE_COMPLEX";
	R_LEGAL_DEPARTMENT = "PROJECT_REMOVE_CNO_LEGAL_DEPARTMENT";
	R_GLORIOUS_HARBOR = "PROJECT_REMOVE_CNO_GLORIOUS_HARBOR";
	R_DEEP_PUMPING_SYSTEM = "PROJECT_REMOVE_CNO_DEEP_PUMPING_SYSTEM";
	R_PORTAL_GATE = "PROJECT_REMOVE_CNO_PORTAL_GATE";
	R_SPACEPORT = "PROJECT_REMOVE_CNO_SPACEPORT";

};
--------------------------------------------------------------------------------------------------------------------------------------------

-- =========================================================================================================================================
-- Operations to perform when a unique district project is completed.
function OnProjectCompleted( iPlayer, iCity, iProject )                       
do
	--print ("ProjectCompleted");
	--print ("iPlayer = " .. iPlayer .. ", iCity = " .. iCity .. ", iProject = " .. iProject);

	local projectTypeCompleted = (GameInfo.Projects[iProject].ProjectType);
	local player = Players[iPlayer];
	local uDistrict = 0;
	local sDistrictType = "";
	local isRemoveProject = 0;

	-- District Removal project completions.
	if (projectTypeCompleted == IDs.R_CONVENTION_CENTER) then
		uDistrict = IDs.CONVENTION_CENTER;
		sDistrictType = "Convention Center";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_RD_FACILITY) then
		uDistrict = IDs.RD_FACILITY;
		sDistrictType = "Research Facility";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_LEGAL_DEPARTMENT) then
		uDistrict = IDs.LEGAL_DEPARTMENT;
		sDistrictType = "Legal Department";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_GLORIOUS_PORT) then
		uDistrict =IDs.GLORIOUS_PORT;
		sDistrictType = "Glorious Port";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_PORTAL_GATE) then
		uDistrict = IDs.PORTAL_GATE;
		sDistrictType = "Portal Network Node";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_ACCOUNTING_DEPARTMENT) then
		uDistrict = IDs.ACCOUNTING_DEPARTMENT;
		sDistrictType = "Accounting Department";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_EMPLOYEE_LOUNGE) then
		uDistrict = IDs.EMPLOYEE_LOUNGE;
		sDistrictType = "Employee Lounge";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_DESIGN_STUDIO) then
		uDistrict = IDs.DESIGN_STUDIO;
		sDistrictType = "Design Studio";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_DEVELOPMENT_STUDIO) then
		uDistrict = IDs.DEVELOPMENT_STUDIO;
		sDistrictType = "Development Studio";
		isRemoveProject = 1;
	
	elseif (projectTypeCompleted == IDs.R_DEEP_PUMPING_SYSTEM) then
		uDistrict = IDs.DEEP_PUMPING_SYSTEM;
		sDistrictType = "Pumping System";
		isRemoveProject = 1;

	elseif (projectTypeCompleted == IDs.R_SPACEPORT) then
		uDistrict = IDs.SPACEPORT;
		sDistrictType = "Spaceport";
		isRemoveProject = 1;

	else
	isRemoveProject = 0;
	end

	if (isRemoveProject == 1) then

		local playerCities = player:GetCities();
		
		for i, uCity in playerCities:Members() do
			if (uCity:GetID() == iCity) then
				
				print("Civ = " .. PlayerConfigurations[iPlayer]:GetCivilizationTypeName() .. ", City = " .. uCity:GetName() 
				.. ", Project = " .. projectTypeCompleted)
		
				uCity:GetDistricts():RemoveDistrict(uDistrict);
				print(sDistrictType .. " Removed");

			end
		end
	end

end
end
--------------------------------------------------------------------------------------------------------------------------------------------

-- LISTENERS ==============================================================================================================================
Events.CityProjectCompleted.Add( OnProjectCompleted ); -- attach function to game event
-------------------------------------------------------------------------------------------------------------------------------------------